These are chat archives for composer/composer

1st
Jun 2016
Bogdan Rancichi
@devrck
Jun 01 2016 07:56
Hi all
I'm trying to install a git repo from a private repo of mine
Bogdan Rancichi
@devrck
Jun 01 2016 08:10
But can't seem to install because of an error saying that the package name has a typo and something related to minimum-stability
Bogdan Rancichi
@devrck
Jun 01 2016 08:40

The requested package bundleNameHere could not be found in any version, there may be a typo in the package name.

Potential causes:

Théo FIDRY
@theofidry
Jun 01 2016 08:40
did you check if your package was on packagist?
Bogdan Rancichi
@devrck
Jun 01 2016 08:41
my package is in git
on a private repo
and configured to get it like this:
Théo FIDRY
@theofidry
Jun 01 2016 08:41
and your added your repo to "repositories"?
Bogdan Rancichi
@devrck
Jun 01 2016 08:41
repositories" :[
{
"type": "vcs",
"url": "git@github.com:bundleNameHere.git"
}
]
yep did that
Théo FIDRY
@theofidry
Jun 01 2016 08:43
and when you do a require you do use your package name (not bundleNameHere)?
Bogdan Rancichi
@devrck
Jun 01 2016 08:43
yes the name specified in the bundleNameHere composer.json
I've done composer update -vvv and I saw that composer reads the composer.json from the location I've specified